# 后端规范
## SQL脚本
* 放置目录：`src/main/resources/meta/sql`  
* 命名规范：`V<YYYYMMDDNN>__<DESC>.sql` -> `V<版本>__<描述>.sql` -> `V2021010101__init.sql`   
*  ### 注意1：版本和描述之间是<font color='red'>两个下划线</font>分隔
*  ### 注意2：SQL语句是以分号结束，表的描述和字段描述不要出现半角分号`;`，SQL语句结束须加上
* 目的：
    - 维持工程的完整性
    - 便于部署。部署正式环境，工程服务启动时会自动扫描该目录并根据版本顺序执行脚本  
* 可执行性：执行时不能报错，必须可重复执行。若因脚本执行失败，工程服务不会启动

## nacos配置
* 放置目录：`src/main/resources/meta/nacos.yml`
* 目的：  
    - 维持工程的完整性
    - 便于部署。部署正式环境，工程服务启动时会取该文件并替换数据库连接等配置(前置:此文件有对应配置)
* 注意1：配置参数需能即时生效(使用@ConfigurationProperties或@RefreshScope注解或其他监听)   
* 注意2：开发时修改配置参数还是在开发者后台-开发中心-我的工程-Nacos

## x-link 配置说明
* pai:x-link:enable xxlJob同步数据的开关
* pai:x-link:platform 同步的类型，用于单点登录，数据同步与SsoTypeMapping.enum，SyncTypeMapping.enum中的key映射

