package cn.flyrise.pai.xlink;

import cn.flyrise.common.security.annotation.EnablePaiFeignClients;
import cn.flyrise.common.security.annotation.EnablePaiResourceServer;
import cn.flyrise.job.annotation.EnablePaiJobExecutor;
import cn.flyrise.starter.util.YamlPropertySourceFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.PropertySource;


/**
 * 启动类
 *
 * @author pai
 * @date 2023-02-24 09:28:09
 */
@EnablePaiResourceServer
@SpringCloudApplication
@EnablePaiFeignClients
@EnableAspectJAutoProxy(exposeProxy = true)
@PropertySource(value = "classpath:pai-api-config.yaml", factory = YamlPropertySourceFactory.class)
@EnablePaiJobExecutor
public class Application {
    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }

}
