package cn.flyrise.pai.xlink.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * x-link配置文件
 *
 * @author Y.zc
 */
@Configuration
@ConfigurationProperties(prefix = "pai.x-link")
public class XlinkProperties {

    /**
     * 是否启用同步
     */
    private boolean enable = false;
    /**
     * 区分格力和...
     */
    private String platform = "";
    /**
     * 暂时没用上，等以后其他对接再来看
     */
    private String syncType;
    /**
     * 组织机构人员同步主题
     */
    private String orgTopic = "paiOrgSyncTopic";

    /**
     * 主数据
     */
    private String masterTopic = "paiMasterDataTopic";
    /**
     * 登录授权的clientId
     */
    private String ssoResponseUri = "https://k8s.flyrise.cn";


    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getSyncType() {
        return syncType;
    }

    public void setSyncType(String syncType) {
        this.syncType = syncType;
    }

    public String getOrgTopic() {
        return orgTopic;
    }

    public void setOrgTopic(String orgTopic) {
        this.orgTopic = orgTopic;
    }

    public String getMasterTopic() {
        return masterTopic;
    }

    public void setMasterTopic(String masterTopic) {
        this.masterTopic = masterTopic;
    }

    public String getSsoResponseUri() {
        return ssoResponseUri;
    }

    public void setSsoResponseUri(String ssoResponseUri) {
        this.ssoResponseUri = ssoResponseUri;
    }
}
