package cn.flyrise.pai.xlink.controller;

import cn.flyrise.common.core.domain.Reply;
import cn.flyrise.pai.xlink.handler.impl.ThirdPartySyncHandler;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 手动同步
 *
 * @author Y.zc
 */
@Api("手动同步")
@RestController
@RequestMapping("/manual/${api.version}")
public class ManualSyncController {

    @Resource
    private ThirdPartySyncHandler thirdPartySyncHandler;

    @ApiOperation("全量组织机构人员同步")
    @PostMapping("execution")
    public Reply execution() {
        thirdPartySyncHandler.allSync();
        return Reply.success();
    }

    @ApiOperation("空间数据同步")
    @PostMapping("execution/space")
    public Reply executionSpace() {
        thirdPartySyncHandler.allMaster();
        return Reply.success();
    }

}
