package cn.flyrise.pai.xlink.gree.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 格力统一主数据对接配置
 *
 * @author Y.zc
 */
@Configuration
@ConfigurationProperties(prefix = "gree")
public class GreeProperties {

    /**
     * 格力开放平台门户地址
     */
    private String portalUri = "https://portal-sso-sit.spaceplat.com";
    /**
     * 格力开放平台后端地址
     */
    private String serverUri = "https://psp-mdc-gw-app-sit.spaceplat.com";
    /**
     * 重定向URL
     */
    private String redirectUri = "http://172.20.21.19:8011/x-link-api/sso/v1/gree";
    /**
     * 同步的企业编码
     */
    private String entCode = "gree";
    /**
     * tokenUrl，code换token
     */
    private String tokenUrl = "/portal/v1/oauth/token";
    /**
     * 获取用户信息
     */
    private String userUrl = "/portal/v1/api/getUserInfo";
    /**
     * 开放平台appId
     */
    private String appId = "xXbjBjBCmLu5E1QBYtQyN25RDfcQ";
    /**
     * 开放平台密钥
     */
    private String appSecret = "SPbOVzZIhUZJzbkNOPxpNGlIomtKXTyM";
    /**
     * 获取用户数据信息URL
     */
    private String userDataUrl = "/portal/v1/api/external/queryUserData";
    /**
     * 用户关联组织
     */
    private String personRelOrgDataUrl = "/portal/v1/api/external/queryPersonRelOrgData";
    /**
     * 获取组织机构信息URL
     */
    private String orgDataUrl = "/portal/v1/api/external/queryOrgData";
    /**
     * 获取岗位信息URL
     */
    private String postDataUrl = "/portal/v1/api/external/queryPositionData";
    /**
     * 获取用户与岗位的关联信息URL
     */
    private String personRelPostDataUrl = "/portal/v1/api/external/queryPositionData";
    /**
     * 获取角色信息URL
     */
    private String roleDataUrl = "/portal/v1/api/external/queryRoleData";
    /**
     * 获取用户与角色关联信息URL
     */
    private String personRelRoleDataUrl = "/portal/v1/api/external/queryPersonRelRoleData";
    /**
     * 退出登录
     */
    private String logoutUrl = "/portal/v1/api/external/logout";
    /**
     * 空间数据
     */
    private String spaceResourceUrl = "/space/v1/api/external/querySpaceResourceData";

    public String getPortalUri() {
        return portalUri;
    }

    public void setPortalUri(String portalUri) {
        this.portalUri = portalUri;
    }

    public String getServerUri() {
        return serverUri;
    }

    public void setServerUri(String serverUri) {
        this.serverUri = serverUri;
    }

    public String getTokenUrl() {
        return tokenUrl;
    }

    public void setTokenUrl(String tokenUrl) {
        this.tokenUrl = tokenUrl;
    }

    public String getUserUrl() {
        return userUrl;
    }

    public void setUserUrl(String userUrl) {
        this.userUrl = userUrl;
    }

    public String getRedirectUri() {
        return redirectUri;
    }

    public void setRedirectUri(String redirectUri) {
        this.redirectUri = redirectUri;
    }

    public String getEntCode() {
        return entCode;
    }

    public void setEntCode(String entCode) {
        this.entCode = entCode;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getUserDataUrl() {
        return userDataUrl;
    }

    public void setUserDataUrl(String userDataUrl) {
        this.userDataUrl = userDataUrl;
    }

    public String getPersonRelOrgDataUrl() {
        return personRelOrgDataUrl;
    }

    public void setPersonRelOrgDataUrl(String personRelOrgDataUrl) {
        this.personRelOrgDataUrl = personRelOrgDataUrl;
    }

    public String getOrgDataUrl() {
        return orgDataUrl;
    }

    public void setOrgDataUrl(String orgDataUrl) {
        this.orgDataUrl = orgDataUrl;
    }

    public String getPostDataUrl() {
        return postDataUrl;
    }

    public void setPostDataUrl(String postDataUrl) {
        this.postDataUrl = postDataUrl;
    }

    public String getPersonRelPostDataUrl() {
        return personRelPostDataUrl;
    }

    public void setPersonRelPostDataUrl(String personRelPostDataUrl) {
        this.personRelPostDataUrl = personRelPostDataUrl;
    }

    public String getRoleDataUrl() {
        return roleDataUrl;
    }

    public void setRoleDataUrl(String roleDataUrl) {
        this.roleDataUrl = roleDataUrl;
    }

    public String getPersonRelRoleDataUrl() {
        return personRelRoleDataUrl;
    }

    public void setPersonRelRoleDataUrl(String personRelRoleDataUrl) {
        this.personRelRoleDataUrl = personRelRoleDataUrl;
    }

    public String getSpaceResourceUrl() {
        return spaceResourceUrl;
    }

    public void setSpaceResourceUrl(String spaceResourceUrl) {
        this.spaceResourceUrl = spaceResourceUrl;
    }

    public String getLogoutUrl() {
        return logoutUrl;
    }

    public void setLogoutUrl(String logoutUrl) {
        this.logoutUrl = logoutUrl;
    }
}
