package cn.flyrise.pai.xlink.gree.model;

/**
 * tag 枚举
 *
 * @author Y.zc
 */
public enum TagEnums {
    /**
     * 用户全量同步Tag
     */
    USER_ALL_TAG("user_all", "用户全量", "用户全量同步"),
    /**
     * 用户增量同步Tag
     */
    USER_INCR_TAG("user_incr", "用户增量", "用户增量同步"),
    /**
     * 组织机构全量同步Tag
     */
    ORG_ALL_TAG("org_all", "组织增量", "组织机构全量同步"),
    /**
     * 组织机构增量同步Tag
     */
    ORG_INCR_TAG("org_incr", "组织增量", "组织机构增量同步"),
    /**
     * 角色全量同步Tag
     */
    ROLE_ALL_TAG("role_all", "角色全量", "角色全量同步"),
    /**
     * 角色增量同步Tag
     */
    ROLE_INCR_TAG("role_incr", "角色增量", "角色增量同步"),
    /**
     * 用户关联角色全量Tag
     */
    USER_REL_ROLE_ALL_TAG("user_rel_role_all", "用户关联角色", "用户关联角色"),
    /**
     * 用户关联角色增量Tag
     */
    USER_REL_ROLE_INCR_TAG("user_rel_role_incr", "用户关联角色增量", "用户关联角色增量"),
    /**
     * 园区全量同步
     */
    PARK_ALL_TAG("park_all", "园区数据全量同步", "园区数据全量同步"),
    /**
     * 园区增量同步
     */
    PARK_INCR_TAG("park_incr", "园区数据增量同步", "园区数据增量同步"),
    /**
     * 空间数据全量同步
     */
    SPARK_ALL_TAG("space_all", "空间数据全量同步", "空间数据全量同步"),
    /**
     * 园区增量同步
     */
    SPARK_INCR_TAG("space_incr", "空间数据增量同步", "空间数据增量同步"),
    ;
    private final String code;
    private final String name;
    private final String desc;

    TagEnums(String code, String name, String desc) {
        this.code = code;
        this.name = name;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public String getDesc() {
        return desc;
    }
}
