package cn.flyrise.pai.xlink.gree.util;

import cn.flyrise.pai.xlink.gree.GreeConstants;
import cn.hutool.core.text.CharSequenceUtil;
import cn.hutool.crypto.digest.MD5;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 格力接口签名工具类
 *
 * @author Y.zc
 */
public class GreeSignUtils {

    static Logger logger = LoggerFactory.getLogger(GreeSignUtils.class);

    public static String sign(String appId, String appSecret, long time, String body) {
        String bodyMd5 = MD5.create().digestHex(CharSequenceUtil.removeAllLineBreaks(body));
        String signBuffer = GreeConstants.Sign.SIGN_APP_ID + "=" + appId +
                "&" + GreeConstants.Sign.SIGN_APP_SECRET + "=" + appSecret +
                "&" + GreeConstants.Sign.SIGN_TIME + "=" + time +
                "&" + GreeConstants.Sign.SIGN_BODY + "=" + bodyMd5;
        logger.debug("sign_url:{}", signBuffer);
        String sign = MD5.create().digestHex(signBuffer);
        logger.debug("sign:{}", sign);
        return sign;
    }

}
