package cn.flyrise.pai.xlink.gree.util;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * 分页请求参数
 *
 * @author Y.zc
 */
public class PageRequest implements Serializable {

    public PageRequest() {
        this.pageNoColumn = "pageNo";
        this.pageSizeColumn = "pageSize";
        this.pageNo = 1;
        this.pageSize = 1000;
        this.reqMap = new HashMap<>(0);
    }

    /**
     * 页码字段
     */
    private String pageNoColumn;
    /**
     * 条数字段
     */
    private String pageSizeColumn;
    /**
     * 页码
     */
    private Integer pageNo;
    /**
     * 条数
     */
    private Integer pageSize;

    private Map<String, String> reqMap;

    public String getPageNoColumn() {
        return pageNoColumn;
    }

    public void setPageNoColumn(String pageNoColumn) {
        this.pageNoColumn = pageNoColumn;
    }

    public String getPageSizeColumn() {
        return pageSizeColumn;
    }

    public void setPageSizeColumn(String pageSizeColumn) {
        this.pageSizeColumn = pageSizeColumn;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Map<String, String> getReqMap() {
        return reqMap;
    }

    public void setReqMap(Map<String, String> reqMap) {
        this.reqMap = reqMap;
    }

    public void add(String key, String val) {
        this.reqMap.put(key, val);
    }

    /**
     * 下一页
     */
    public void next() {
        this.pageNo = this.getPageNo() + 1;
    }
}
