package cn.flyrise.pai.xlink.gree.util;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 分页响应数据对象
 *
 * @author Y.zc
 */
public class PageResponse<T> implements Serializable {

    private Integer pageIndex;

    private Integer totalPage;

    private Integer pageSize;

    private Integer totalCount;

    private List<T> rows;

    public PageResponse() {
        super();
        this.pageIndex = 1;
        this.totalPage = 0;
        this.pageSize = 20;
        this.totalCount = 0;
        this.rows = new ArrayList<>();
    }

    public PageResponse(Integer pageIndex, Integer pageSize, Integer totalPage, Integer totalCount, List<T> rows) {
        this.pageIndex = pageIndex;
        this.pageSize = pageSize;
        this.totalPage = totalPage;
        this.totalCount = totalCount;
        this.rows = rows;
    }

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public Integer getTotalPage() {
        return totalPage;
    }

    public void setTotalPage(Integer totalPage) {
        this.totalPage = totalPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public List<T> getRows() {
        return rows;
    }

    public void setRows(List<T> rows) {
        this.rows = rows;
    }
}
