package cn.flyrise.pai.xlink.handler;

import cn.flyrise.pai.xlink.gree.model.TagEnums;
import cn.flyrise.pai.xlink.model.dto.*;

import java.util.List;

/**
 * <p>
 * 标准的第三方同步推送接口
 * 推送至中台服务
 * </p>
 *
 * @author Y.zc
 */
public interface IThirdPartyPushStandardService {

    /**
     * 推送MQ组织机构数据
     *
     * @param list     数据
     * @param tagEnums tag枚举
     * @author Y.zc
     */
    <T> void pushOrg(List<T> list, TagEnums tagEnums);

    /**
     * 推送MQ组织机构数据
     *
     * @param list 数据
     * @param tag  tag
     * @param desc 描述
     * @author Y.zc
     */
    <T> void pushOrg(List<T> list, String tag, String desc);


    /**
     * 推送MQ主数据
     *
     * @param list     数据
     * @param tagEnums tag枚举
     * @author Y.zc
     */
    <T> void pushMaster(List<T> list, TagEnums tagEnums);

    /**
     * 推送MQ主数据
     *
     * @param list 数据
     * @param tag  tag
     * @param desc 描述
     * @author Y.zc
     */
    <T> void pushMaster(List<T> list, String tag, String desc);
}
