package cn.flyrise.pai.xlink.model.constants;

/**
 * MQ消息常量
 *
 * @author Y.zc
 */
public class Constants {

    private Constants(){
        super();
    }

    public static class Status {
        public static final String SYNC = "sync";

        private Status(){
            super();
        }
    }

    /**
     * MQ Tag
     */
    public static class Tag {

        public static final String ORG_TAG = "org";

        public static final String USER_TAG = "user";

        public static final String ROLE_TAG = "role";

        public static final String USER_REL_ROLE_TAG = "user_rel_role";

        public static final String SPACE_TAG = "space";

        private Tag(){
            super();
        }
    }

    /**
     * 用户 状态
     */
    public static class User {
        private User(){
            super();
        }

        /**
         * 启用
         */
        public static final String USER_STATE_ENABLE = "0";
        /**
         * 停用
         */
        public static final String USER_STATE_DISABLE = "1";

    }

    /**
     * 员工 状态
     */
    public static class Staff {

        private Staff(){
            super();
        }

        /**
         * 在职
         */
        public static final String USER_STATE_ENABLE = "1";
        /**
         * 停用
         */
        public static final String USER_STATE_DISABLE = "2";
        /**
         * 离职
         */
        public static final String USER_STATE_LEAVE = "3";
    }
}
