package cn.flyrise.pai.xlink.model.dto;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * 通用实体，主要用于获取Key
 *
 * @author Y.zc
 */
public abstract class BaseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 消息Key
     */
    private String id;

    /**
     * 平台
     */
    private String platform;
    /**
     * 同步的企业
     */
    private String entCode;

    /**
     * 删除标记，0正常，1删除
     */
    private Integer delFlag;

    /**
     * 拓展属性
     */
    private Map<String, String> extras;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getEntCode() {
        return entCode;
    }

    public void setEntCode(String entCode) {
        this.entCode = entCode;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Map<String, String> getExtras() {
        return extras;
    }

    public void setExtras(Map<String, String> extras) {
        this.extras = extras;
    }

    public void addExtra(String key, String val) {
        if (this.extras != null) {
            this.extras.put(key, val);
        } else {
            this.extras = new HashMap<>(2);
        }
    }

    @Override
    public String toString() {
        return "BaseDTO{" +
                "id='" + id + '\'' +
                ", platform='" + platform + '\'' +
                ", entCode='" + entCode + '\'' +
                ", delFlag=" + delFlag +
                ", extras=" + extras +
                '}';
    }
}
