package cn.flyrise.pai.xlink.model.dto;

import cn.flyrise.pai.xlink.annotation.XLink;

import java.io.Serializable;

/**
 * 组织机构-公司/部门
 *
 * @author Y.zc
 */
@XLink("org")
public class OrgDTO extends BaseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 级次
     */
    private Integer level;
    /**
     * 组织id
     */
    private String orgId;
    /**
     * 组织名称
     */
    private String orgName;

    /**
     * 组织名称 - 全路径
     */
    private String fullOrgName;

    /**
     * 组织父id
     */
    private String parentOrgId;

    /**
     * 0集团，1公司，2部门
     */
    private String orgType;

    /**
     * 1启用，0停用
     */
    private Integer status;

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getFullOrgName() {
        return fullOrgName;
    }

    public void setFullOrgName(String fullOrgName) {
        this.fullOrgName = fullOrgName;
    }

    public String getParentOrgId() {
        return parentOrgId;
    }

    public void setParentOrgId(String parentOrgId) {
        this.parentOrgId = parentOrgId;
    }

    public String getOrgType() {
        return orgType;
    }

    public void setOrgType(String orgType) {
        this.orgType = orgType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return super.toString() + "OrgDTO{" +
                "level=" + level +
                ", orgId='" + orgId + '\'' +
                ", orgName='" + orgName + '\'' +
                ", fullOrgName='" + fullOrgName + '\'' +
                ", parentOrgId='" + parentOrgId + '\'' +
                ", orgType='" + orgType + '\'' +
                ", status=" + status +
                '}';
    }
}
