package cn.flyrise.pai.xlink.model.dto;


import java.io.Serializable;

/**
 * 空间数据
 *
 * @author Y.zc
 */
public class SpaceDTO extends BaseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 唯一编码
     */
    private String code;
    /**
     * 名称
     */
    private String name;
    /**
     * type，0项目（园区）1楼宇 2房源 3停车场 4楼层 5停车场 6自定义区域 7楼栋 8工位
     */
    private String type;
    /**
     * 父级编码
     */
    private String internalParentCode;
    /**
     * 排序值
     */
    private String orderNum;
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 面积
     */
    private String area;
    /**
     * 状态
     */
    private String enableStatus;
    /**
     * 业态编码
     */
    private String projectFormat;

    /**
     * 园区id
     */
    private String paiParkId;
    /**
     * 园区名称
     */
    private String paiParkName;
    /**
     * 企业id
     */
    private String paiEntId;
    /**
     * 企业名称
     */
    private String paiEntName;

    /**
     * 租户id
     */
    private String paiTenantId;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getInternalParentCode() {
        return internalParentCode;
    }

    public void setInternalParentCode(String internalParentCode) {
        this.internalParentCode = internalParentCode;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getEnableStatus() {
        return enableStatus;
    }

    public void setEnableStatus(String enableStatus) {
        this.enableStatus = enableStatus;
    }

    public String getProjectFormat() {
        return projectFormat;
    }

    public void setProjectFormat(String projectFormat) {
        this.projectFormat = projectFormat;
    }

    public String getPaiParkId() {
        return paiParkId;
    }

    public void setPaiParkId(String paiParkId) {
        this.paiParkId = paiParkId;
    }

    public String getPaiEntId() {
        return paiEntId;
    }

    public void setPaiEntId(String paiEntId) {
        this.paiEntId = paiEntId;
    }

    public String getPaiTenantId() {
        return paiTenantId;
    }

    public void setPaiTenantId(String paiTenantId) {
        this.paiTenantId = paiTenantId;
    }

    public String getPaiParkName() {
        return paiParkName;
    }

    public void setPaiParkName(String paiParkName) {
        this.paiParkName = paiParkName;
    }

    public String getPaiEntName() {
        return paiEntName;
    }

    public void setPaiEntName(String paiEntName) {
        this.paiEntName = paiEntName;
    }

    @Override
    public String toString() {
        return super.toString() + "SpaceDTO{" +
                "code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", type='" + type + '\'' +
                ", internalParentCode='" + internalParentCode + '\'' +
                ", orderNum='" + orderNum + '\'' +
                ", projectCode='" + projectCode + '\'' +
                ", area='" + area + '\'' +
                ", enableStatus='" + enableStatus + '\'' +
                ", projectFormat='" + projectFormat + '\'' +
                ", paiParkId='" + paiParkId + '\'' +
                ", paiParkName='" + paiParkName + '\'' +
                ", paiEntId='" + paiEntId + '\'' +
                ", paiEntName='" + paiEntName + '\'' +
                ", paiTenantId='" + paiTenantId + '\'' +
                '}';
    }
}
