package cn.flyrise.pai.xlink.model.dto;

import cn.flyrise.pai.xlink.annotation.XLink;

import java.io.Serializable;
import java.util.List;

/**
 * 用户-员工
 *
 * @author Y.zc
 */
@XLink("user")
public class UserDTO extends BaseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户标识
     */
    private String userId;
    /**
     * 组织Id，如果有最好，没有就通过适配器通过别API获取
     */
    private List<String> orgIds;
    /**
     * 账户名 - 登录
     */
    private String userName;
    /**
     * 真实姓名
     */
    private String realName;
    /**
     * 用户类型，0普通,1员工,2子管理员,3超级管理员
     */
    private String userType;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 性别
     */
    private String sex;
    /**
     * 用户状态 0正常 1停用
     */
    private String status;
    /**
     * 工作状态，1在职 2停用 3离职
     */
    private String jobStatus;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public List<String> getOrgIds() {
        return orgIds;
    }

    public void setOrgIds(List<String> orgIds) {
        this.orgIds = orgIds;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getJobStatus() {
        return jobStatus;
    }

    public void setJobStatus(String jobStatus) {
        this.jobStatus = jobStatus;
    }

    @Override
    public String toString() {
        return super.toString() + "UserDTO{" +
                "userId='" + userId + '\'' +
                ", orgIds=" + orgIds +
                ", userName='" + userName + '\'' +
                ", realName='" + realName + '\'' +
                ", userType='" + userType + '\'' +
                ", phone='" + phone + '\'' +
                ", sex='" + sex + '\'' +
                ", status='" + status + '\'' +
                ", jobStatus='" + jobStatus + '\'' +
                '}';
    }
}
