package cn.flyrise.pai.xlink.model.enums;

import cn.hutool.core.util.StrUtil;

import java.util.EnumSet;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 同步类型BeanMap
 *
 * @author Y.zc
 */
public enum SsoTypeMapping {
    /**
     * 格力对接
     */
    GREE("gree", "greeSsoHandlerService", "格力单点登录");

    /**
     * 类型
     */
    private final String type;
    /**
     * 处理器名称
     */
    private final String handlerName;
    /**
     * 描述
     */
    private final String desc;

    public String getType() {
        return type;
    }

    public String getHandlerName() {
        return handlerName;
    }

    SsoTypeMapping(String type, String handlerName, String desc) {
        this.type = type;
        this.handlerName = handlerName;
        this.desc = desc;
    }

    private static final Map<String, SsoTypeMapping> CODE_MAP =
            EnumSet.allOf(SsoTypeMapping.class).stream().collect(Collectors.toMap(SsoTypeMapping::getType, a -> a, (k1,
                                                                                                                    k2) -> k1));

    /**
     * 根据不同平台执行不同的处理逻辑
     */
    public static SsoTypeMapping of(String code) {
        return StrUtil.isNotBlank(code) ? CODE_MAP.get(code) : null;
    }

}
