package cn.flyrise.pai.xlink.model.enums;

import cn.hutool.core.util.StrUtil;

import java.util.EnumSet;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 同步类型BeanMap
 *
 * @author Y.zc
 */
public enum SyncTypeMapping {
    /**
     * 格力对接
     */
    GREE("gree", "greeSyncHandlerService", "格力对接");

    /**
     * 类型
     */
    private String type;
    /**
     * 处理器名称
     */
    private String handlerName;
    /**
     * 描述
     */
    private String desc;

    public String getType() {
        return type;
    }

    public String getHandlerName() {
        return handlerName;
    }

    public String getDesc() {
        return desc;
    }

    SyncTypeMapping(String type, String handlerName, String desc) {
        this.type = type;
        this.handlerName = handlerName;
        this.desc = desc;
    }

    private static final Map<String, SyncTypeMapping> CODE_MAP =
            EnumSet.allOf(SyncTypeMapping.class).stream().collect(Collectors.toMap(SyncTypeMapping::getType, a -> a, (k1,
                                                                                                                      k2) -> k1));

    /**
     * 根据不同平台执行不同的处理逻辑
     */
    public static SyncTypeMapping of(String code) {
        return StrUtil.isNotBlank(code) ? CODE_MAP.get(code) : null;
    }

}
