package cn.flyrise.pai.xlink.model.vo;

import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;
import cn.flyrise.common.core.domain.InvalidCode;
/**
 * 字段映射对象 link_org_data_parse
 *
 * @author pai
 * @date 2023-02-24
 */
@ApiModel("字段映射")
public class LinkOrgDataParseVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(value = "" )
    private String parseId;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称" )
    @Size(max = 20)
    @InvalidCode(value = "5001", message = "{invalid.code.5001}", desc = "名称")
    private String parseName;
    /**
     * staff,org
     */
    @ApiModelProperty(value = "staff,org" )
    @Size(max = 11)
    @InvalidCode(value = "5002", message = "{invalid.code.5002}", desc = "staff,org")
    private String parseType;
    /**
     * 例如staffName
     */
    @ApiModelProperty(value = "例如staffName" )
    @Size(max = 255)
    @InvalidCode(value = "5003", message = "{invalid.code.5003}", desc = "例如staffName")
    private String parseKey;
    /**
     * 原始
     */
    @ApiModelProperty(value = "原始" )
    @Size(max = 255)
    @InvalidCode(value = "5004", message = "{invalid.code.5004}", desc = "原始")
    private String originalKey;
    /**
     * 
     */
    @ApiModelProperty(value = "" )
    @Size(max = 255)
    @InvalidCode(value = "5005", message = "{invalid.code.5005}", desc = "createBy")
    private String createBy;
    /**
     * 
     */
    @ApiModelProperty(value = "" )
    @Size(max = 255)
    @InvalidCode(value = "5006", message = "{invalid.code.5006}", desc = "updateBy")
    private String updateBy;
    /**
     * 
     */
    @ApiModelProperty(value = "" )
    private Date createTime;
    /**
     * 
     */
    @ApiModelProperty(value = "" )
    private Date updateTime;
    /**
     * 物理表没有，子表中传1直接删除
     */
    @ApiModelProperty("逻辑删除/物理表没有的时候直接删除")
    private Integer isDeleted;


    public void setParseId(String parseId) {
        this.parseId = parseId;
    }

    public String getParseId() {
        return parseId;
    }

    public void setParseName(String parseName) {
        this.parseName = parseName;
    }

    public String getParseName() {
        return parseName;
    }

    public void setParseType(String parseType) {
        this.parseType = parseType;
    }

    public String getParseType() {
        return parseType;
    }

    public void setParseKey(String parseKey) {
        this.parseKey = parseKey;
    }

    public String getParseKey() {
        return parseKey;
    }

    public void setOriginalKey(String originalKey) {
        this.originalKey = originalKey;
    }

    public String getOriginalKey() {
        return originalKey;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 物理表没有，子表中传1直接删除
     */
    public Integer getIsDeleted() {
       return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

}