package cn.flyrise.pai.xlink.model.vo;

import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.flyrise.common.core.domain.InvalidCode;
import javax.validation.constraints.Digits;
/**
 * 同步的配置信息对象 link_org_sync_info
 *
 * @author pai
 * @date 2023-03-02
 */
@ApiModel("同步的配置信息")
public class LinkOrgSyncInfoVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ApiModelProperty(value = "" )
    private String id;
    /**
     * 平台
     */
    @ApiModelProperty(value = "平台" )
    @Digits(integer = 10, fraction = 0)
    @InvalidCode(value = "5101", message = "{invalid.code.5101}", desc = "平台")
    private String platform;
    /**
     * 最后一次同步成功的时间
     */
    @ApiModelProperty(value = "最后一次同步成功的时间" )
    private Date lastSyncTime;
    /**
     * 物理表没有，子表中传1直接删除
     */
    @ApiModelProperty("逻辑删除/物理表没有的时候直接删除")
    private Integer isDeleted;


    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPlatform() {
        return platform;
    }

    public void setLastSyncTime(Date lastSyncTime) {
        this.lastSyncTime = lastSyncTime;
    }

    public Date getLastSyncTime() {
        return lastSyncTime;
    }

    /**
     * 物理表没有，子表中传1直接删除
     */
    public Integer getIsDeleted() {
       return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

}
