package cn.flyrise.pai.xlink.model.vo;

import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;
import cn.flyrise.common.core.domain.InvalidCode;
import javax.validation.constraints.Digits;
/**
 * 同步日志对象 link_org_sync_log
 *
 * @author pai
 * @date 2023-03-02
 */
@ApiModel("同步日志")
public class LinkOrgSyncLogVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ApiModelProperty(value = "" )
    private String id;
    /**
     * 平台
     */
    @ApiModelProperty(value = "平台" )
    @Size(max = 32)
    @InvalidCode(value = "5201", message = "{invalid.code.5201}", desc = "平台")
    private String platform;
    /**
     * 标题
     */
    @ApiModelProperty(value = "标题" )
    @Size(max = 255)
    @InvalidCode(value = "5202", message = "{invalid.code.5202}", desc = "标题")
    private String title;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容" )
    @Size(max = 65535)
    @InvalidCode(value = "5203", message = "{invalid.code.5203}", desc = "内容")
    private String content;
    /**
     * 是否成功
     */
    @ApiModelProperty(value = "是否成功" )
    @Digits(integer = 10, fraction = 0)
    @InvalidCode(value = "5204", message = "{invalid.code.5204}", desc = "是否成功")
    private Integer success;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间" )
    private Date createTime;
    /**
     * 执行时间(ms)
     */
    @ApiModelProperty(value = "执行时间(ms)" )
    @Digits(integer = 10, fraction = 0)
    @InvalidCode(value = "5205", message = "{invalid.code.5205}", desc = "执行时间(ms)")
    private Integer executionTime;

    /**
     * 增量时间
     */
    @ApiModelProperty(value = "增量时间" )
    @InvalidCode(value = "5206", message = "{invalid.code.5206}", desc = "增量时间")
    private Date incrTime;
    /**
     * 物理表没有，子表中传1直接删除
     */
    @ApiModelProperty("逻辑删除/物理表没有的时候直接删除")
    private Integer isDeleted;


    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPlatform() {
        return platform;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }

    public Integer getSuccess() {
        return success;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setExecutionTime(Integer executionTime) {
        this.executionTime = executionTime;
    }

    public Integer getExecutionTime() {
        return executionTime;
    }

    public Date getIncrTime() {
        return incrTime;
    }

    public void setIncrTime(Date incrTime) {
        this.incrTime = incrTime;
    }

    /**
     * 物理表没有，子表中传1直接删除
     */
    public Integer getIsDeleted() {
       return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

}
