package cn.flyrise.pai.xlink.service;

import cn.flyrise.mybatis.base.IBaseService;
import cn.flyrise.pai.xlink.model.po.LinkSsoTokenPO;
import cn.flyrise.pai.xlink.model.vo.LinkSsoTokenVO;

/**
 * 字段映射Service接口
 *
 * @author pai
 * @date 2023-02-24
 */
public interface ILinkSsoTokenService extends IBaseService<LinkSsoTokenPO, LinkSsoTokenVO> {


    /**
     * 获取ssoToken
     *
     * @param platform 平台类型
     * @param uniId    唯一标识
     * @return
     */
    LinkSsoTokenPO findByPlatformAndUniId(String platform, String uniId);

    /**
     * 获取ssoToken
     *
     * @param platform 平台类型
     * @param uniId    唯一标识
     * @param token    token
     */
    void addToken(String platform, String uniId, String token);

    /**
     * 删除这个账号的token
     *
     * @param platform 平台类型
     * @param uniId    唯一标识
     */
    void delByPlatformAndUniId(String platform, String uniId);

}
