package cn.flyrise.pai.xlink.service.impl;


import cn.flyrise.common.core.utils.IdUtils;
import cn.flyrise.mybatis.base.BaseServiceImpl;
import cn.flyrise.pai.xlink.config.XlinkProperties;
import cn.flyrise.pai.xlink.dao.LinkOrgSyncLogMapper;
import cn.flyrise.pai.xlink.model.po.LinkOrgSyncLogPO;
import cn.flyrise.pai.xlink.model.vo.LinkOrgSyncLogVO;
import cn.flyrise.pai.xlink.service.ILinkOrgSyncLogService;
import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;

/**
 * 同步日志服务实现类
 *
 * @author pai
 * @date 2023-03-02
 */
@Service("linkOrgSyncLog")
@Transactional(rollbackFor = RuntimeException.class)
public class LinkOrgSyncLogServiceImpl extends BaseServiceImpl<LinkOrgSyncLogMapper, LinkOrgSyncLogPO, LinkOrgSyncLogVO> implements ILinkOrgSyncLogService {

    @Resource
    private XlinkProperties xlinkProperties;

    @Override
    public LinkOrgSyncLogPO init(String title, Date incrTime) {
        LinkOrgSyncLogPO linkOrgSyncLog = new LinkOrgSyncLogPO();
        linkOrgSyncLog.setId(IdUtils.snowFlakeId());
        linkOrgSyncLog.setTitle(title);
        linkOrgSyncLog.setContent("同步中");
        linkOrgSyncLog.setPlatform(xlinkProperties.getPlatform());
        linkOrgSyncLog.setCreateTime(DateUtil.date());
        linkOrgSyncLog.setIncrTime(incrTime);
        insert(linkOrgSyncLog);
        return linkOrgSyncLog;
    }

    @Override
    public void clean(Date date) {
        LambdaQueryWrapper<LinkOrgSyncLogPO> cleanQw = Wrappers.<LinkOrgSyncLogPO>lambdaQuery()
                .lt(LinkOrgSyncLogPO::getCreateTime, date);
        remove(cleanQw);
    }
}
