CREATE TABLE IF NOT EXISTS `link_org_sync_log` (
  `id` varchar(19) NOT NULL,
  `platform` varchar(32) DEFAULT NULL COMMENT '平台',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `content` text COMMENT '内容',
  `success` int(11) DEFAULT NULL COMMENT '是否成功',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `execution_time` int(11) DEFAULT NULL COMMENT '执行时间(ms)',
  `incr_time` datetime DEFAULT NULL COMMENT '增量执行的时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB COMMENT='同步日志';

CREATE TABLE IF NOT EXISTS `link_org_sync_info` (
  `id` varchar(19) NOT NULL,
  `platform` varchar(32) DEFAULT NULL COMMENT '平台',
  `last_sync_time` datetime DEFAULT NULL COMMENT '最后一次同步成功的时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `platform` (`platform`)
) ENGINE=InnoDB COMMENT='同步的配置信息';

CREATE TABLE IF NOT EXISTS `link_org_data_parse` (
  `parse_id` varchar(19) NOT NULL,
  `parse_name` varchar(20) DEFAULT NULL COMMENT '名称',
  `parse_type` varchar(11) DEFAULT NULL COMMENT 'staff,org',
  `parse_key` varchar(255) DEFAULT NULL COMMENT '例如staffName',
  `original_key` varchar(255) DEFAULT NULL COMMENT '第三方的',
  `create_by` varchar(255) DEFAULT NULL,
  `update_by` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`parse_id`)
) ENGINE=InnoDB COMMENT='字段映射';

REPLACE INTO `link_org_data_parse` (`parse_id`, `parse_name`, `parse_type`, `parse_key`, `original_key`, `create_by`,
`update_by`, `create_time`, `update_time`)
VALUES
	('0', '用户id', 'user', 'userId', 'personCode', NULL, NULL, NULL, NULL),
	('1', '用户账号', 'user', 'userName', 'account', NULL, NULL, NULL, NULL),
	('2', '真实姓名', 'user', 'realName', '', NULL, NULL, NULL, NULL),
	('20', '级次', 'org', 'level', '', NULL, NULL, NULL, NULL),
	('21', 'Key', 'org', 'id', '', NULL, NULL, NULL, NULL),
	('23', '组织名称', 'org', 'orgName', '', NULL, NULL, NULL, NULL),
	('24', '组织名称-全路径', 'org', 'fullOrgName', '', NULL, NULL, NULL, NULL),
	('25', '组织父id', 'org', 'parentOrgId', 'parentOrgCode', NULL, NULL, NULL, NULL),
	('27', '删除标记，0正常 1删除', 'org', 'delFlag', '', NULL, NULL, NULL, NULL),
	('28', '状态 1启用，0停用', 'org', 'status', '', NULL, NULL, NULL, NULL),
	('29', '类型', 'org', 'orgType', 'type', NULL, NULL, NULL, NULL),
	('3', '手机号', 'user', 'phone', '', NULL, NULL, NULL, NULL),
	('30', '组织id', 'org', 'orgId', 'orgCode', NULL, NULL, NULL, NULL),
	('4', '状态', 'user', 'status', '', NULL, NULL, NULL, NULL),
	('41', '用户id', 'userRelRole', 'userId', 'personCode', NULL, NULL, NULL, NULL),
	('5', '性别', 'user', 'sex', 'gender', NULL, NULL, NULL, NULL),
	('6', '删除标识', 'user', 'delFlag', '', NULL, NULL, NULL, NULL),
	('7', '账号类型', 'user', 'userType', '$accountAttributeList.accountType[0]', NULL, NULL, NULL, NULL),
	('8', '工作状态', 'user', 'jobStatus', '', NULL, NULL, NULL, NULL),
	('9', 'key', 'user', 'id', NULL, NULL, NULL, NULL, NULL);
