package gree;

import cn.flyrise.pai.xlink.Application;
import cn.flyrise.pai.xlink.gree.util.GreeHttpUtils;
import cn.flyrise.pai.xlink.gree.util.PageRequest;
import cn.flyrise.pai.xlink.handler.impl.ThirdPartySyncHandler;
import cn.flyrise.pai.xlink.model.dto.OrgDTO;
import cn.flyrise.pai.xlink.model.dto.UserDTO;
import cn.hutool.log.StaticLog;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;

@SuppressWarnings({"all"})
@RunWith(SpringRunner.class)
@SpringBootTest(classes = Application.class)
public class ServiceTest {

    @Resource
    private GreeHttpUtils greeHttpUtils;
    @Resource
    private ThirdPartySyncHandler thirdPartySyncHandler;


    @Test
    public void signTest() {
        String appId = "xXbjBjBCmLu5E1QBYtQyN25RDfcQ";
        String appSecret = "SPbOVzZIhUZJzbkNOPxpNGlIomtKXTyM";
        String serviceUrl = "http://psp-mdc-gw-app-sit.spaceplat.com";
        String url = serviceUrl + "/portal/v1/api/external/queryOrgData";
        HttpSignTest.Request request = new HttpSignTest.Request();
        request.setPageNo(1);
        request.setPageSize(10);
//        request.setTime("2023-02-23");
        PageRequest pageRequest = new PageRequest();
        pageRequest.setPageSize(100);
        List<OrgDTO> responseBody = greeHttpUtils.pageAllPost(appId, appSecret, url, pageRequest, OrgDTO.class);
        Assert.assertNotNull("请求失败：", responseBody);
        StaticLog.info(JSON.toJSONString(responseBody));
        //{"code":"200","msg":"请求成功","data":{"pageIndex":1,"totalPage":1,"pageSize":10,"totalCount":2,"rows":[{"realName":"资管系统","jobStatus":1,"gender":null,"phone":null,"accountAttributeList":[{"accountAttributeCode":"f31df173b37611ed988f0242ac1b0002","accountAttributeType":1,"accountType":10,"personCode":"f31d1852b37611ed988f0242ac1b0002"}],"userType":1,"id":null,"delFlag":0,"personCode":"f31d1852b37611ed988f0242ac1b0002","account":"ziguan","status":1},{"realName":"Kael","jobStatus":1,"gender":null,"phone":"15344377816","accountAttributeList":[{"accountAttributeCode":"84199bd80ad14cacb5c5f5d36f261f53","accountAttributeType":1,"accountType":10,"personCode":"b0766ca3308d4940909ae12f13f0827e"}],"userType":1,"id":null,"delFlag":0,"personCode":"b0766ca3308d4940909ae12f13f0827e","account":"15344377816","status":1}]}}
    }

    @Test
    public void signUserTest() {
        String appId = "xXbjBjBCmLu5E1QBYtQyN25RDfcQ";
        String appSecret = "SPbOVzZIhUZJzbkNOPxpNGlIomtKXTyM";
        String serviceUrl = "http://psp-mdc-gw-app-sit.spaceplat.com";
        String url = serviceUrl + "/portal/v1/api/external/queryUserData";
        HttpSignTest.Request request = new HttpSignTest.Request();
        request.setPageNo(1);
        request.setPageSize(10);
//        request.setTime("2023-02-23");
        PageRequest pageRequest = new PageRequest();
        pageRequest.setPageSize(100);
        List<UserDTO> responseBody = greeHttpUtils.pageAllPost(appId, appSecret, url, pageRequest, UserDTO.class);
        Assert.assertNotNull("请求失败：", responseBody);
        StaticLog.info(JSON.toJSONString(responseBody));
        //{"code":"200","msg":"请求成功","data":{"pageIndex":1,"totalPage":1,"pageSize":10,"totalCount":2,"rows":[{"realName":"资管系统","jobStatus":1,"gender":null,"phone":null,"accountAttributeList":[{"accountAttributeCode":"f31df173b37611ed988f0242ac1b0002","accountAttributeType":1,"accountType":10,"personCode":"f31d1852b37611ed988f0242ac1b0002"}],"userType":1,"id":null,"delFlag":0,"personCode":"f31d1852b37611ed988f0242ac1b0002","account":"ziguan","status":1},{"realName":"Kael","jobStatus":1,"gender":null,"phone":"15344377816","accountAttributeList":[{"accountAttributeCode":"84199bd80ad14cacb5c5f5d36f261f53","accountAttributeType":1,"accountType":10,"personCode":"b0766ca3308d4940909ae12f13f0827e"}],"userType":1,"id":null,"delFlag":0,"personCode":"b0766ca3308d4940909ae12f13f0827e","account":"15344377816","status":1}]}}
    }


    @Test
    public void syncAllTest() {
        thirdPartySyncHandler.allSync();
    }

    @Test
    public void syncIncrTest() {
        thirdPartySyncHandler.incrSync();
    }


    @Test
    public void signPostTest() {
        String appId = "xXbjBjBCmLu5E1QBYtQyN25RDfcQ";
        String appSecret = "SPbOVzZIhUZJzbkNOPxpNGlIomtKXTyM";
        String serviceUrl = "http://psp-mdc-gw-app-sit.spaceplat.com";
        String url = serviceUrl + "/portal/v1/api/external/queryUserData";
        PageRequest pageRequest = new PageRequest();
        pageRequest.setPageSize(100);
        pageRequest.add("time","2023-02-02 15:18:00");
        List<JSONObject> responseBody = greeHttpUtils.pageAllPost(appId, appSecret, url, pageRequest, JSONObject.class);
        Assert.assertNotNull("请求失败：", responseBody);
        StaticLog.info(JSON.toJSONString(responseBody));
        //{"code":"200","msg":"请求成功","data":{"pageIndex":1,"totalPage":0,"pageSize":100,"totalCount":0,"rows":[]}}

    }

    @Test
    public void signRoleTest() {
        String appId = "xXbjBjBCmLu5E1QBYtQyN25RDfcQ";
        String appSecret = "SPbOVzZIhUZJzbkNOPxpNGlIomtKXTyM";
        String serviceUrl = "http://psp-mdc-gw-app-sit.spaceplat.com";
        String url = serviceUrl + "/portal/v1/api/external/queryRoleData";
        PageRequest pageRequest = new PageRequest();
        pageRequest.setPageSize(100);
//        pageRequest.add("time","2023-02-02 15:18:00");
        List<JSONObject> responseBody = greeHttpUtils.pageAllPost(appId, appSecret, url, pageRequest, JSONObject.class);
        Assert.assertNotNull("请求失败：", responseBody);
        StaticLog.info(JSON.toJSONString(responseBody));
        //{"code":"200","msg":"请求成功","data":{"pageIndex":1,"totalPage":0,"pageSize":100,"totalCount":0,"rows":[]}}

    }

    @Test
    public void signRoleRelTest() {
        String appId = "xXbjBjBCmLu5E1QBYtQyN25RDfcQ";
        String appSecret = "SPbOVzZIhUZJzbkNOPxpNGlIomtKXTyM";
        String serviceUrl = "http://psp-mdc-gw-app-sit.spaceplat.com";
        String url = serviceUrl + "/portal/v1/api/external/queryPersonRelRoleData";
        PageRequest pageRequest = new PageRequest();
        pageRequest.setPageSize(100);
//        pageRequest.add("time","2023-02-02 15:18:00");
        List<JSONObject> responseBody = greeHttpUtils.pageAllPost(appId, appSecret, url, pageRequest, JSONObject.class);
        Assert.assertNotNull("请求失败：", responseBody);
        StaticLog.info(JSON.toJSONString(responseBody));
        //{"code":"200","msg":"请求成功","data":{"pageIndex":1,"totalPage":0,"pageSize":100,"totalCount":0,"rows":[]}}

    }

    @Test
    public void signSpaceTest() {
        String appId = "xXbjBjBCmLu5E1QBYtQyN25RDfcQ";
        String appSecret = "SPbOVzZIhUZJzbkNOPxpNGlIomtKXTyM";
        String serviceUrl = "http://psp-mdc-gw-app-sit.spaceplat.com";
        String url = serviceUrl + "/space/v1/api/external/querySpaceResourceData";
        PageRequest pageRequest = new PageRequest();
        pageRequest.setPageSize(100);
//        pageRequest.add("time","2023-02-02 15:18:00");
        List<JSONObject> responseBody = greeHttpUtils.pageAllPost(appId, appSecret, url, pageRequest, JSONObject.class);
        Assert.assertNotNull("请求失败：", responseBody);
        StaticLog.info(JSON.toJSONString(responseBody));
        //{"code":"200","msg":"请求成功","data":{"pageIndex":1,"totalPage":0,"pageSize":100,"totalCount":0,"rows":[]}}

    }

}
